--[[

@author Esperanza - Everlook/EU-Alliance
@copyright ©2021 The DKP Loot Master Authors. All Rights Reserved.

Licensed under the GNU General Public License, Version 3.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    https://www.gnu.org/licenses/gpl-3.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS-IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

--]]
local addon = _G.dkpLootMaster;

-- define model
SpecialItemsModel = {};
SpecialItemsModel.__index = SpecialItemsModel;

-- Create model.
function SpecialItemsModel:Create()
    -- Overridden item ids. 
    return {
        -- naxxramas
        [22520] = true, -- The Phylactery of Kel'Thuzad 
        [23545] = true, -- Power of the Scourge
        [23547] = true, -- Resilience of the Scourge
        [23548] = true, -- Might of the Scourge
        [23549] = true  -- Fortitude of the Scourge
    };
end

-- register model
addon:RegisterModel(SpecialItemsModel, "special-items");
