--[[

@author Esperanza - Everlook/EU-Alliance
@copyright ©2021 The DKP Loot Master Authors. All Rights Reserved.

Licensed under the GNU General Public License, Version 3.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    https://www.gnu.org/licenses/gpl-3.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS-IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

--]]
local addon = _G.dkpLootMaster;

-- define view
SummaryView = {};
SummaryView.__index = SummaryView;

-- show view
function SummaryView:Show(parent)
    -- create view
    addon:GetService("ui"):CreateView("DLMSummary", 440, 500,
        addon.shortcut .. addon:GetService("locale"):Get("Auction"));
end

-- register view
addon:RegisterView(SummaryView, "summary");
